Subject: bug#68272: [PATCH] Fix -1 leaking from C to lisp in 'read-event' etc.

From: Stefan Monnier <[email-masked]>
Date: Tue, 05 Mar 2024 14:29:43 -0500

>> >> > IOW, what about callers that actually _want_ to know when the macro
>> >> > ends prematurely?
>> >> I couldn't find any, really.
>> > ??? calc is one, obviously.
>> 
>> I don't think so: AFAICT the tests there were added simply
>> because they had to do something with this -1 return value.
>
> Any evidence?  Andreas thought differently, what if he is right?

I think the mail you responded to already provided my answer to the case
the original author did it on purpose.  I have nothing to add.
Do you have a better alternative?

        Stefan